com.ietnet.fse.igestore.pep.saml

## Class AssertionReader

- java.lang.Object
- - com.ietnet.fse.common.saml.AbstractAssertionReader
  - - com.ietnet.fse.igestore.pep.saml.AssertionReader

-     public class AssertionReader
      extends com.ietnet.fse.common.saml.AbstractAssertionReader

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.ietnet.fse.common.saml.AbstractAssertionReader

      `com.ietnet.fse.common.saml.AbstractAssertionReader.tipoAsserzione`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertionReader()` Default constructor
    `AssertionReader(org.opensaml.saml2.core.Assertion assertion)` Constructor that initialize the assertions

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.opensaml.saml2.core.Assertion` | `getApplicativeAssertion(javax.xml.soap.Node wsseScurity, java.lang.String serviceName)`

    - ### Methods inherited from class com.ietnet.fse.common.saml.AbstractAssertionReader

      `getApplicativeAssertion, getApplicativeAssertion, getAssertion, getAttribute, getAttributeAssertion, getAuthzAssertion, getAuthzAssertion, getIdentityAssertion, getIdentityAssertion, getListAttribute, getListAttribute, getListAttribute, getValueAttribute, inizialize`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertionReader

          public AssertionReader()
                          throws java.lang.Exception

      Default constructor
      Throws:
        `java.lang.Exception` - if any error occurs

    - #### AssertionReader

          public AssertionReader(org.opensaml.saml2.core.Assertion assertion)
                          throws java.lang.Exception

      Constructor that initialize the assertions
      Parameters:
        `assertion` - the assertions
      Throws:
        `java.lang.Exception` - if any error occurs

  - ### Method Detail

    - #### getApplicativeAssertion

          public org.opensaml.saml2.core.Assertion getApplicativeAssertion(javax.xml.soap.Node wsseScurity,
                                                                  java.lang.String serviceName)
                                                                    throws org.opensaml.xml.io.UnmarshallingException,
                                                                           com.ietnet.fse.FSEException

      Parameters:
        `wsseScurity` -
      Returns:
      Throws:
        `org.opensaml.xml.io.UnmarshallingException`
        `com.ietnet.fse.FSEException`